UOAKV(4)

NAME
uoakv - Toradex OAK USB +/-10V 8channel ADC interface

SYNOPSIS
uoakv* at uhidev?

DESCRIPTION
The uoakv driver provides support for the Toradex OAK 10V device. The sensor possesses a collection of sensor values which are made available through the sysctl(8) interface.

The ADC date unit is "VDC"(DC voltage) and the value is signed. Because the Analog-Digital conversion cycle of the device is faster than the sensor framework update cycle, the driver keeps maximum/minimum/average values of each cycle as independent sensors.

The device has a unique serial number, indicated in the description part of the sensor value.

SEE ALSO
intro(4), uhidev(4), sensorsd(8), sysctl(8) Toradex Web Page, http://www.toradex.com/En/Products/USB_Sensors_and_Peripherals/.

HISTORY
The uoakv device driver first appeared in OpenBSD 5.3.

AUTHORS
-nosplit The uoakv driver was written by Yojiro UO <yuo@nui.org>.